Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		halevt
#Epoch:		0
Version:	0.1.5
Release:	1
License:	GNU/GPL
URL:		http://www.nongnu.org/halevt/
Group:		System/Configuration/Hardware
Summary:	HAL events handler
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: boolstuff-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libxml2-devel

%description
Halevt (HAL events manager) is a daemon that executes arbitrary commands when a device with certain properties is added to the system and when device properties change. Halevt uses HAL to monitor the state of your system's hardware.
Halevt can also report all the hal events that are emitted by hald (with the -i option on the command line).
Halevt comes with halevt-mount a program able to use HAL to mount, umount devices and keep a list of devices handled by halevt-mount.
Halevt design is heavily based on ivman. 

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'
rm -rf $RPM_BUILD_ROOT/usr/share/info/dir

%files
%defattr(-,root,root)
%{_bindir}/halevt
%{_bindir}/halevt-mount
%{_bindir}/halevt-umount
%{_bindir}/halevt_umount_from_tray-gtkdialog.sh
%{_bindir}/halevt_umount_from_tray-xmessage.sh
%{_bindir}/halevt_umount_report.sh
%{_bindir}/hvmount
%{_bindir}/hvumount
%{_datadir}/info/halevt.info.gz
%{_datadir}/locale/*/LC_MESSAGES/halevt-mount.mo
%{_datadir}/locale/*/LC_MESSAGES/halevt.mo
%{_mandir}/man1/halevt-mount.1.gz
%{_mandir}/man1/halevt-umount.1.gz
%{_mandir}/man1/halevt.1.gz
%{_mandir}/man1/hvmount.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Nov 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.1.5-1
- initial CCux package release
